<ui:composition
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:s="http://jboss.org/schema/seam/taglib"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns="http://www.w3.org/1999/xhtml">

    <ui:decorate template="/layout/panels/_panel_title_id.xhtml">
        <ui:param name="panel_id" value="messageNotFoundPanel"/>
        <ui:define name="panel_title">
            <h:outputText value="#{messages['net.ihe.gazelle.proxy.NoMessageFoundForGivenIdAndPrivacyKey']}"
                          rendered="#{applicationConfigurationManager.isAdminOnlyMode() and not s:hasRole('admin_role')}"/>
            <h:outputText value="#{messages['net.ihe.gazelle.proxy.NoMessageFoundForGivenId']}"
                          rendered="#{!applicationConfigurationManager.isAdminOnlyMode() or (applicationConfigurationManager.isAdminOnlyMode() and s:hasRole('admin_role'))}"/>
        </ui:define>
        <s:div id="needPrivacyKey" rendered="#{applicationConfigurationManager.isAdminOnlyMode() and not s:hasRole('admin_role')}">
            #{messages['net.ihe.gazelle.proxy.PleaseBeSureToRequestAValidIdWithTheCorrespondin']}
        </s:div>
        <s:div id="needOnlyId" rendered="#{!applicationConfigurationManager.isAdminOnlyMode() or (applicationConfigurationManager.isAdminOnlyMode() and s:hasRole('admin_role'))}">
            #{messages['net.ihe.gazelle.proxy.PleaseBeSureToRequestAValidId']}
        </s:div>
    </ui:decorate>
</ui:composition>